Skip to main content
Server path: /workday-absence-management | Type: Application | PCID required: Yes

Tools

ToolDescription
workday_absence_management_get_balancesRetrieves the balance of all absence plan and leave of absence type for the specified worker ID.
workday_absence_management_get_balances_by_idRetrieves the specified balance of all absence plan and leave of absence types.
workday_absence_management_get_values_leave_statusThe status of the event that tracks the requested time off. <b>Secured by:</b> Self-Service: Leave of Absence, Worker Data: Leave of Absence <b>Scope:</b> Time Off and Leave
workday_absence_management_get_values_timeoff_statusThe possible statuses for a worker’s time off entry request event. They include: * Approved, 0391102bd1b542538d996936c8fa2fa7 * Not Submitted, eddf5968e6d4430ca4bce9a4cfaba337 * Sent Back, 070b249867f747a19bca64f73eafc9b8 * Submitted, dd817fe688db4ac7bf84e3ef79f72948 <b>Secured by:</b> Self-Service: Time Off, Worker Data: Time Off (Time Off Manager View), Worker Data: Time Off (Time Off) <b>Scope:</b> Time Off and Leave
workday_absence_management_get_workersRetrieves a collection of workers and current staffing information.
workday_absence_management_get_workers_by_idRetrieves a collection of workers and current staffing information.
workday_absence_management_get_workers_by_id_eligibleabsencetypesRetrieves a collection of eligible absence types for the specified worker.
workday_absence_management_get_workers_by_id_eligibleabsencetypes_by_subresourceidRetrieves the eligible absence type for the specified worker.
workday_absence_management_get_workers_by_id_leavesofabsenceRetrieves the Leaves Of Absence for a specified worker ID.
workday_absence_management_get_workers_by_id_leavesofabsence_by_subresourceidRetrieves the leave of absence for the specified worker.
workday_absence_management_get_workers_by_id_timeoffdetailsRetrieves a collection of time off details for a specified worker.
workday_absence_management_get_workers_by_id_timeoffdetails_by_subresourceidRetrieves details of a specified time off entry for a specified worker.
workday_absence_management_get_workers_by_id_validtimeoffdatesRetrieves the valid time off dates for the specified worker ID for the given dates.
workday_absence_management_post_workers_by_id_correcttimeoffentryCreates a time off correction for the specified worker ID and initiates the business process.
workday_absence_management_post_workers_by_id_requesttimeoffCreates a time off request for the specified worker ID and initiates the business process.

workday_absence_management_get_balances

Retrieves the balance of all absence plan and leave of absence type for the specified worker ID. Parameters:
ParameterTypeRequiredDefaultDescription
categorystringNoThe Workday ID of the time off, leave type, or absence table.
effectivestringNoThe absence balances as of the specified date using the yyyy-mm-dd format.
limitintegerNoThe maximum number of objects in a single response. The default is 20. The maximum is 100.
offsetintegerNoThe zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
workerstringNoThe Workday ID of the worker for which balances are returned. This is a required query parameter.

workday_absence_management_get_balances_by_id

Retrieves the specified balance of all absence plan and leave of absence types. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.

workday_absence_management_get_values_leave_status

The status of the event that tracks the requested time off. <b>Secured by:</b> Self-Service: Leave of Absence, Worker Data: Leave of Absence <b>Scope:</b> Time Off and Leave Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoThe maximum number of objects in a single response. The default and maximum is 1000.
offsetintegerNoThe zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
searchstringNoA search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.

workday_absence_management_get_values_timeoff_status

The possible statuses for a worker’s time off entry request event. They include: * Approved, 0391102bd1b542538d996936c8fa2fa7 * Not Submitted, eddf5968e6d4430ca4bce9a4cfaba337 * Sent Back, 070b249867f747a19bca64f73eafc9b8 * Submitted, dd817fe688db4ac7bf84e3ef79f72948 <b>Secured by:</b> Self-Service: Time Off, Worker Data: Time Off (Time Off Manager View), Worker Data: Time Off (Time Off) <b>Scope:</b> Time Off and Leave Parameters:
ParameterTypeRequiredDefaultDescription
limitintegerNoThe maximum number of objects in a single response. The default and maximum is 1000.
offsetintegerNoThe zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
searchstringNoA search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.

workday_absence_management_get_workers

Retrieves a collection of workers and current staffing information. Parameters:
ParameterTypeRequiredDefaultDescription
includeTerminatedWorkersbooleanNoInclude terminated workers in the output
limitintegerNoThe maximum number of objects in a single response. The default is 20. The maximum is 100.
offsetintegerNoThe zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
searchstringNoSearches workers by name or worker ID. The search is case-insensitive. You can include space-delimited search strings for an OR search.

workday_absence_management_get_workers_by_id

Retrieves a collection of workers and current staffing information. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.

workday_absence_management_get_workers_by_id_eligibleabsencetypes

Retrieves a collection of eligible absence types for the specified worker. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
categorystringNoThe Workday ID of the absence type category. Valid values: * Leave of Absence Type: 17bd6531c90c100016d74f8dfae007d0 * Absence Table: 17bd6531c90c100016da3f5b554007d2 * Time Off: 17bd6531c90c100016d4b06f2b8a07ce
effectivestringNoThe effective date for which eligible absence types need to be returned for the worker.
limitintegerNoThe maximum number of objects in a single response. The default is 20. The maximum is 100.
offsetintegerNoThe zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.

workday_absence_management_get_workers_by_id_eligibleabsencetypes_by_subresourceid

Retrieves the eligible absence type for the specified worker. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
subresourceIDstringYesThe Workday ID of the subresource.

workday_absence_management_get_workers_by_id_leavesofabsence

Retrieves the Leaves Of Absence for a specified worker ID. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
fromDatestringNoThe start of a date range filter using the yyyy-mm-dd format.
leaveTypeany[]NoThe Workday ID of the type of leave of absence. You can specify multiple leaveType query parameters.
limitintegerNoThe maximum number of objects in a single response. The default is 20. The maximum is 100.
offsetintegerNoThe zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
statusany[]NoThe Workday ID of the status of the leave of absence. The valid statuses are Successfully Completed, In Progress, Canceled, Rescinded, and Process Terminated. To get valid values, call the GET /values/leave/status endpoint. You can specify multiple status query parameters.
toDatestringNoThe end of a date range filter using the yyyy-mm-dd format.

workday_absence_management_get_workers_by_id_leavesofabsence_by_subresourceid

Retrieves the leave of absence for the specified worker. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
subresourceIDstringYesThe Workday ID of the subresource.

workday_absence_management_get_workers_by_id_timeoffdetails

Retrieves a collection of time off details for a specified worker. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
fromDatestringNoThe start of a date range filter using the yyyy-mm-dd format.
limitintegerNoThe maximum number of objects in a single response. The default is 20. The maximum is 100.
offsetintegerNoThe zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
statusany[]NoThe Workday ID of the time off status. You can specify multiple status query parameters. This method returns the most recent instance of a time off entry based on this query parameter. The valid statuses are Approved, Submitted, Not Submitted, and Sent Back. This method does not return Canceled and Denied Time Off Entries. To get the Workday ID of a status, call the GET /values/timeOff/status endpoint. You can specify multiple status query parameters. Example: An approved Time Off Entry for Vacation 8 hours was corrected to Vacation 4 hours and is not in submitted status. If the query parameter is status = approved, the Time Off Entry of Vacation, 8 hours, Approved is returned. If query parameter status = submitted, the Time Off Entry of Vacation, 4 hours, Submitted is returned. If no query parameter is passed, the Time Off Entry of Vacation, 4 hours, Submitted is returned.
timeOffTypeany[]NoThe Workday ID of the Time Off Type. You can specify multiple timeOffType query parameters.
toDatestringNoThe end of a date range filter using the yyyy-mm-dd format.

workday_absence_management_get_workers_by_id_timeoffdetails_by_subresourceid

Retrieves details of a specified time off entry for a specified worker. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
subresourceIDstringYesThe Workday ID of the subresource.

workday_absence_management_get_workers_by_id_validtimeoffdates

Retrieves the valid time off dates for the specified worker ID for the given dates. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
datestringNoThe dates being requested for which to validate. It should be in the yyyy-mm-dd format.
limitintegerNoThe maximum number of objects in a single response. The default is 20. The maximum is 100.
offsetintegerNoThe zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.
positionstringNoThe Workday ID of the position.
timeOffstringNoThe Workday ID of the time off.

workday_absence_management_post_workers_by_id_correcttimeoffentry

Creates a time off correction for the specified worker ID and initiates the business process. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
businessProcessParametersobjectNoThe Action Event instance to be used with businessProcessLinkable linked service representations.
daysany[]NoThe time off correction entries.
descriptorstringNoThe display name of the instance
idstringNoWorkday Id or Reference Id of the instance.

workday_absence_management_post_workers_by_id_requesttimeoff

Creates a time off request for the specified worker ID and initiates the business process. Parameters:
ParameterTypeRequiredDefaultDescription
IDstringYesThe Workday ID of the resource.
businessProcessParametersobjectNoThe Action Event instance to be used with businessProcessLinkable linked service representations.
daysany[]NoTime Off Entries